1. Kayako Download customers: we will continue to develop and support Kayako Download beyond July 2017, alongside the new Kayako for existing customers.

    Find out more.

  2. The forum you are viewing relates to Kayako Classic. If you signed up or upgraded to the new Kayako (after the 4th July 2016), the information in this thread may not apply to you. You can visit the forums for the new Kayako here.

Kayako 4.74 New Installation

Discussion in 'Installation and setup (Kayako Classic Download)' started by agrafil, Aug 28, 2019.

  1. agrafil

    agrafil Member

    I'm trying to install again our Kayako but having a hardtime in making it work. I followed the server requirements https://classichelp.kayako.com/hc/en-us/articles/360006378700-Server-Configuration-Requirements and Installing Kayako Classic https://classichelp.kayako.com/hc/en-us/articles/360006378680-Installing-Kayako-Classic but nothing appears when I go to our URL http://e.blastasia.com/qrsupport/setup. PHP is working because if I try http://e.blastasia.com/qrsupport/phpinfo.php is working.

    Right now I'm reviewing the above links I might have missed out something.

    But I need some help on what else to check.

    Thanks in advance.

    Allan
     
  2. agrafil

    agrafil Member

    By the way I'm using Windows 2019 as OS.
     
  3. bear

    bear Kayako Guru

    Check your logs. A blank page when connecting to a PHP page generally means something errored out and it failed to load.
    The issue is likely the version of Kayako vs the PHP version you're using. Unless you have the very latest one (if you do, and it's legal, Kayako support should help you), it's not compatible with PHP 7.1.
    Your log: C:\windows\Temp\php-7.1.31_errors.log (as seen in the php info you linked to)

    By the way, having a publicly accessible php info page is a very bad idea, as is posting it. ;)
     
  4. agrafil

    agrafil Member

    I did that for this purpose. I'll remove that php info once ecverything is working.

    Thanks I'll check the logs.
     
  5. agrafil

    agrafil Member

    I checked the logs and this is whats in the file.

    [28-Aug-2019 12:53:00 GMT] PHP Fatal error: Uncaught Error: Call to undefined function mb_internal_encoding() in C:\inetpub\wwwroot\qrsupport\__swift\swift.php:16
    Stack trace:
    #0 C:\inetpub\wwwroot\qrsupport\setup\index.php(29): require_once()
    #1 {main}
    thrown in C:\inetpub\wwwroot\qrsupport\__swift\swift.php on line 16
    [28-Aug-2019 12:53:01 GMT] PHP Fatal error: Uncaught Error: Call to undefined function mb_internal_encoding() in C:\inetpub\wwwroot\qrsupport\__swift\swift.php:16
    Stack trace:
    #0 C:\inetpub\wwwroot\qrsupport\setup\index.php(29): require_once()
    #1 {main}
    thrown in C:\inetpub\wwwroot\qrsupport\__swift\swift.php on line 16
     
  6. bear

    bear Kayako Guru

    Yup, that's the problem. I'd suggest it's missing mbstring, but Kayako support is the one you should be asking, presuming your license it valid and active.
     
  7. agrafil

    agrafil Member

    yep I have a valid license I also checked and mbstring is present and its in my php.ini, my php version is 7.38 don't know if this compatible with kayako.
     
  8. agrafil

    agrafil Member

    I think I know my issue where can I get PHP dll files that is compatible with 7.38. The links that Kayako is providing has uncompiled version. Sorry I'm not a developer how can I compile those to DLL :).

    Thanks ins advance.
     
  9. bear

    bear Kayako Guru

    I'm afraid you'll need to work that out with Kayako or a qualified Windows server admin. I don't use Windows servers, personally, so don't spend much time learning about them.
     
  10. agrafil

    agrafil Member

    Thanks.

    I got a message from Kayako support and said that my Kayako version is not compatible with the PHP Modules that I have. So right now I'm using PHP version 5.63 to my Kayako Version 4.74.

    Now this is the error I'm getting.

    Fatal error: Call to a member function Get() on boolean in C:\inetpub\wwwroot\qrsupport\__swift\models\Settings\class.SWIFT_Settings.php on line 53

    I saw in support that this might be caused by MySql connection, I checked and my database connection is ok. I can't attached my .ini file so I renamed php.ini to php.txt and config.php to config.txt

    Aside from my kayako support ticket I also posted it here, I just looking which will reply first so that I can immediately solve this issue. Hope for some help.


    Thanks.
     

    Attached Files:

  11. Evgeny Kuchkov

    Evgeny Kuchkov Established Member

    either flush cache from staff and admin gui
    or
    fix mysql connectivity
     

Share This Page